# 上传文件到服务器


## 修改历史


## 接口定义

    /v1/terminal_upload_file
    POST

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}/{activeAccount}
     X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters
    cmdId           int64           1233
    dataType        {String}        backup,log
    file            {String}        压缩文件

## Response


### Example

**Command**

    curl -X POST \
       -H "X-DeviceInformation: 11%2f22%2f96" \
       -H "X-Sign: qM2Ep2wGF5xCJMerRVxtzciuWi8xrjgLkhNpvV2zNLF/Rv/Rf9FF3XwsIF/BOHFPEtwbmGNX57fkdzTEriDTZaCJ566PbNy7eklZ21GdAXSsrpY6Yl6YfRqSFCJbzatB0tCAKkMkHaizJ+5g05PklCo6833E9x8VZZ8g1mf4oXg=" \
       -F "cmdId=1" -F "file=@/Users/jack/Downloads/730.zip" \
       http://localhost:8080/v1/terminal_upload_file

**Output**

    {
      "errno": 200,
      "msg": "success"
    }